

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.31. log_reopen &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.32. logical_count" href="logical_count.html" />
    <link rel="prev" title="7.3.30. log_put" href="log_put.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/log_reopen.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="logical_count.html" title="7.3.32. logical_count"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="log_put.html" title="7.3.30. log_put"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.31. </span><code class="docutils literal notranslate"><span class="pre">log_reopen</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="log-reopen">
<h1><span class="section-number">7.3.31. </span><code class="docutils literal notranslate"><span class="pre">log_reopen</span></code><a class="headerlink" href="#log-reopen" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.31.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">log_reopen</span></code> is a command that reloads log files.</p>
<p>It is used to reload log files such as groonga log or query log which
are specified by <code class="docutils literal notranslate"><span class="pre">--log-path</span></code> or <code class="docutils literal notranslate"><span class="pre">--query-log-path</span></code> options.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This command only works when the number of worker processes is equal to 1.
Thus, it means that if you use <code class="docutils literal notranslate"><span class="pre">groonga-httpd</span></code> with 2 or more workers, you must use
<code class="docutils literal notranslate"><span class="pre">groonga-httpd</span> <span class="pre">-s</span> <span class="pre">reopen</span></code> instead.</p>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.31.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes no parameters:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>log_reopen
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.31.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>log_reopen

[true]
</pre></div>
</div>
<div class="section" id="lotate-log-files-with-log-reopen">
<h3><span class="section-number">7.3.31.3.1. </span>Lotate log files with <cite>log_reopen</cite><a class="headerlink" href="#lotate-log-files-with-log-reopen" title="Permalink to this headline">¶</a></h3>
<ol class="arabic simple">
<li><p>Rename target log files such as mv command.
(Log content is still written into moved log files)</p></li>
<li><p>Execute <code class="docutils literal notranslate"><span class="pre">log_reopen</span></code> command.</p></li>
<li><p>New log file is created as same as existing log file name.
newer log content is written to new log file.</p></li>
</ol>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.31.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>There is no required parameter.</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.31.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p>The command returns <code class="docutils literal notranslate"><span class="pre">true</span></code> as body if the command succeeds such as:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>The command returns <code class="docutils literal notranslate"><span class="pre">false</span></code> otherwise such as:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, false]
</pre></div>
</div>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.31.6. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<p><a class="reference internal" href="log_level.html"><span class="doc">log_level</span></a>
<a class="reference internal" href="log_put.html"><span class="doc">log_put</span></a></p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.31. <code class="docutils literal notranslate"><span class="pre">log_reopen</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.31.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.31.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.31.3. Usage</a><ul>
<li><a class="reference internal" href="#lotate-log-files-with-log-reopen">7.3.31.3.1. Lotate log files with <cite>log_reopen</cite></a></li>
</ul>
</li>
<li><a class="reference internal" href="#parameters">7.3.31.4. Parameters</a></li>
<li><a class="reference internal" href="#return-value">7.3.31.5. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.3.31.6. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="log_put.html"
                        title="previous chapter"><span class="section-number">7.3.30. </span><code class="docutils literal notranslate"><span class="pre">log_put</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="logical_count.html"
                        title="next chapter"><span class="section-number">7.3.32. </span><code class="docutils literal notranslate"><span class="pre">logical_count</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="logical_count.html" title="7.3.32. logical_count"
             >next</a> |</li>
        <li class="right" >
          <a href="log_put.html" title="7.3.30. log_put"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.31. </span><code class="docutils literal notranslate"><span class="pre">log_reopen</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>